Bug 1002457 - Could not check the product status from SAM server side with API. [NEEDINFO]
Could not check the product status from SAM server side with API.
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Katello Bug Bin
SAM QE List
:
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-08-29 05:03 EDT by qianzhan
Modified: 2017-06-26 16:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:37:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
qianzhan: needinfo? (katello-bugs)


Attachments (Terms of Use)

  None (edit)
Description qianzhan 2013-08-29 05:03:43 EDT
Description of problem:
Could not check the product status from SAM server side with API.

Version-Release number of selected component (if applicable):
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.3-8.el6sat.noarch
katello-cli-common-1.4.3-8.el6sat.noarch
katello-common-1.4.3-9.el6sam_splice.noarch
katello-configure-1.4.4-3.el6sat.noarch
katello-glue-candlepin-1.4.3-9.el6sam_splice.noarch
katello-glue-elasticsearch-1.4.3-9.el6sam_splice.noarch
katello-headpin-1.4.3-9.el6sam_splice.noarch
katello-headpin-all-1.4.3-9.el6sam_splice.noarch
katello-selinux-1.4.4-2.el6sat.noarch
signo-katello-0.0.20-1.el6sat.noarch
candlepin-0.8.21-1.el6sam.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.21-1.el6sam.noarch
candlepin-tomcat6-0.8.21-1.el6sam.noarch
thumbslug-0.0.32-1.el6sam.noarch
thumbslug-selinux-0.0.32-1.el6sam.noarch
subscription-manager: 1.8.21-1.el5
python-rhsm: 1.8.17-1.el5

How reproducible:
always

Steps to Reproduce:
1. Register to SAM and auto-attach

[root@dhcp-65-69 ~]# cat /etc/rhsm/rhsm.conf
hostname = samserv.redhat.com
baseurl= https://samserv.redhat.com:8088

[root@dhcp-65-69 ~]# subscription-manager register --auto-attach
Username: admin
Password: 
The system has been registered with ID: 3be3671d-46f0-4e63-83fb-cb8d3248f3b7 
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

2. Check the product status from SAM server side with API
(1)
[root@dhcp-65-69 ~]# curl -k -u admin:admin --request GET https://samserv.redhat.com:443/subscription/consumers/3be3671d-46f0-4e63-83fb-cb8d3248f3b7/compliance | python -m simplejson/tool | grep status
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   163    0   163    0     0   2161      0 --:--:-- --:--:-- --:--:--  8150

(2)
[root@dhcp-65-69 ~]# curl -k -u admin:admin --request GET https://samserv.redhat.com:443/subscription/consumers/3be3671d-46f0-4e63-83fb-cb8d3248f3b7/compliance
{"displayMessage":"User admin is not allowed to access api/v1/candlepin_proxies/get","errors":["User admin is not allowed to access api/v1/candlepin_proxies/get"]}

(3)
[root@dhcp-65-69 ~]# curl -k -u admin:admin --request GET https://samserv.redhat.com:443/subscription/consumers/3be3671d-46f0-4e63-83fb-cb8d3248f3b7
{"content_view_id":1,"created_at":"2013-08-30T04:43:43Z","description":"Initial Registration Params","environment_id":1,"id":119,"location":"None","name":"dhcp-65-69.nay.redhat.com","updated_at":"2013-08-30T04:43:43Z","uuid":"3be3671d-46f0-4e63-83fb-cb8d3248f3b7","href":"/consumers/3be3671d-46f0-4e63-83fb-cb8d3248f3b7","facts":{"virt.uuid":"8f03881b-855c-d768-c97d-402e7f75a7d6","dmi.chassis.power_supply_state":"Safe","dmi.memory.error_correction_type":"Multi-bit ECC","dmi.processor.upgrade":"Other","network.ipv4_address":"10.66.65.69","dmi.bios.rom_size":"64 KB","dmi.processor.family":"Other","cpu.topology_source":"kernel /sys cpu sibling lists","dmi.chassis.thermal_state":"Safe","cpu.thread(s)_per_core":"1","dmi.system.sku_number":"Not Specified","dmi.bios.runtime_size":"96 KB","distribution.version":"5.10","dmi.bios.bios_revision":"1.0","dmi.memory.array_handle":"0x1000","dmi.system.version":"RHEL 6.4.0 PC","virt.is_guest":"true","memory.swaptotal":"2097144","dmi.memory.total_width":"64 bit","dmi.system.product_name":"KVM","system.certificate_version":"3.2","net.interface.eth0.ipv4_address":"10.66.65.69","dmi.bios.vendor":"Seabios","distribution.id":"Tikanga","dmi.memory.location":"Other","dmi.memory.size":"1024 MB","dmi.chassis.type":"Other","uname.version":"#1 SMP Mon Aug 19 23:32:47 EDT 2013","dmi.bios.version":"0.5.1","cpu.core(s)_per_socket":"1","cpu.cpu(s)":"1","dmi.chassis.serial_number":"Not Specified","dmi.chassis.version":"Not Specified","virt.host_type":"kvm","uname.nodename":"dhcp-65-69.nay.redhat.com","dmi.memory.error_information_handle":"Not Provided","dmi.system.serial_number":"Not Specified","dmi.system.manufacturer":"Red Hat","net.interface.eth0.mac_address":"52:54:00:90:BD:75","cpu.cpu_socket(s)":"1","dmi.chassis.security_status":"Unknown","dmi.memory.speed":"  (ns)","dmi.system.wake-up_type":"Power Switch","dmi.chassis.asset_tag":"Not Specified","memory.memtotal":"1034700","dmi.bios.relase_date":"01/01/2007","dmi.chassis.boot-up_state":"Safe","dmi.memory.form_factor":"DIMM","dmi.processor.socket_designation":"CPU 1","dmi.memory.use":"System Memory","dmi.processor.version":"Not Specified","dmi.memory.bank_locator":"Not Specified","dmi.system.status":"No errors detected","dmi.memory.data_width":"64 bit","net.interface.eth0.ipv4_netmask":"23","net.interface.lo.ipv4_broadcast":"Unknown","dmi.system.family":"Red Hat Enterprise Linux","dmi.processor.voltage":" ","net.interface.lo.ipv4_address":"127.0.0.1","distribution.name":"Red Hat Enterprise Linux Server","dmi.memory.maximum_capacity":"1 GB","net.interface.lo.ipv4_netmask":"8","uname.sysname":"Linux","dmi.processor.type":"Central Processor","dmi.memory.type":"RAM","uname.release":"2.6.18-370.el5","network.hostname":"dhcp-65-69.nay.redhat.com","dmi.processor.status":"Populated:Enabled","network.ipv6_address":"::1","uname.machine":"i686","dmi.chassis.manufacturer":"Red Hat","dmi.memory.locator":"DIMM 0","dmi.bios.address":"0xe8000","net.interface.eth0.ipv4_broadcast":"10.66.65.255","dmi.system.uuid":"8f03881b-855c-d768-c97d-402e7f75a7d6","dmi.chassis.lock":"Not Present"},"idCert":{"created":"2013-08-30T04:43:43.066+0000","updated":"2013-08-30T04:43:43.066+0000","key":"-----BEGIN RSA PRIVATE KEY-----\nMIIEogIBAAKCAQEAgzzCOti2bXPvdGUJu/MFECflPilqr4BaaxsboFIrpC3t0eAR\nVPMID+gOZHQZL+30PtbHqyaRvKzVL9PtINWgd0vdHnhP7EAHZEkqY8QE439QBFtA\n2LgYXBuL5DS0j1THuKS32NCyRFQLrrGOaDv8AuAwqSXU08JcyPlLm42iR7TxJt0i\n/q+jcsFdUePi5+Rs4yVn4hDWjlBAMIz0z3XDqz43YHfstcG1edOT/RUqTQvhisR/\nJGoF58vcEopxdGW5YD/19sD+UqYNh02dX2oR6YkhuRykmn48BP1eXEWeYTJFaqHh\nE4T8ebDOsQe9/pCc21/wR1XBaIn6ki3Pm/2/0QIDAQABAoIBAER5qFJyDsWPT2qo\n6WpSw9qJJnjHvW2zB/qIm2KMXU790+/E/OYZJKTADPpnBVlXzDAZevcXWcVbXKTm\n6/xM2rxELiye0/zN781oy6Bgf7iADi0nu+8YJ0Wv7c71nRyIPOlfsLmFMu6p96p/\n5HEIk1agyWMIZULUT/tg8A1K2liVEuQcXJp3ih8B+CMIKGD9g0PwHzdU3NGN8h4h\n+FpsP1LHKpbwfiL4QqdzqHZz9E/f4rBWbSUtlNmJkrs0tbIiSGjNAj6jSqN/I2vz\n959eCGuyktDGxXrHscopGU6O0gaPBiUukxqkRPSHGwrX0rH3TNPVFGGz6V+0JAFC\nUAkovMECgYEA3XzI1TrkeqqrAoDDLIDbg1nJRsDXLssL/UUgmHwLcDTV9jLDcqXp\n2SHdniCrSRTN8yAgx6dBuDFKuR2Alme+rLXG68EVY3bxERFnCsZrqdHotW47+TfW\nSxtqz/o27cBkjbC2lxlsJ9elBTRBh8dgilfEsJ/WQjKyW/BzR7Z8qakCgYEAl6/d\nTYL1q6vHwNAIVV6CLwmhVzlBlwFBpMKAZfcpmZDQ3ECo/fKZGrsE/IQAsGbUKmlX\n717zmTxOmdBpTxdIktZ/ZUNG16Zlv/vvg8HGcmF3PlpVMc0HsFXMPGihKnuO2TYy\nWTPrc1ryUFWL0DEE2r0l7xn4tbjjn2ZdskQzzekCgYAeJ+5EMfeHyBLujU+FkKnS\nkXf5HSpvIZApVK8ic8ku5tK26aR4yKQ1PwoojHQlyCJeVuJ/rIMjK/rrh1vJnqh0\nZW+HC8v4teoOk9r+uZNRFNZlVXPu865GnZ4GYR/3cPl/3S6PFhQGvLKoKbw+W2QG\nkfqivbBzZOmp4OwhOHRyuQKBgH+ORRQ0Z3DocH7ksc1QPztc5s8Zd92LEe+CHEUi\nllnr3KcKvNFoW3WOBYBvZMDyh8HueiLx/vlCLHrONnBrDP1l4RV/gKhB5liOfHiY\nz89JxOOrRO8vEiMn0yqNddHqu1JPcAFxVrLXrOL/PSZiwklLPAYYGfx+sPNPOsV4\n8vNZAoGAadHv8G8m1VU5PurV1EL0LdSmLNeU9i9bWd21nF1r7hcVrGo8sURfT3eG\nABhvoXJaWAl786q2RXHrqHvKBjuaq+qTGLgOhgfBmjd2vh5e+IDqT5Md/KItSyqq\n7frc5RzwFfAjnhiLQfetR2m6XzNhC8TpFzpTzLUBeoOLWAbYAI4=\n-----END RSA PRIVATE KEY-----\n","cert":"-----BEGIN CERTIFICATE-----\nMIIEbjCCA1agAwIBAgIIUGAPM9olTBEwDQYJKoZIhvcNAQEFBQAwfTELMAkGA1UE\nBhMCVVMxFzAVBgNVBAgTDk5vcnRoIENhcm9saW5hMRAwDgYDVQQHEwdSYWxlaWdo\nMRAwDgYDVQQKEwdTb21lT3JnMRQwEgYDVQQLEwtTb21lT3JnVW5pdDEbMBkGA1UE\nAxMSc2Ftc2Vydi5yZWRoYXQuY29tMB4XDTEzMDgzMDA0NDM0MloXDTI5MDgzMDA0\nNDM0MlowLzEtMCsGA1UEAxMkM2JlMzY3MWQtNDZmMC00ZTYzLTgzZmItY2I4ZDMy\nNDhmM2I3MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAgzzCOti2bXPv\ndGUJu/MFECflPilqr4BaaxsboFIrpC3t0eARVPMID+gOZHQZL+30PtbHqyaRvKzV\nL9PtINWgd0vdHnhP7EAHZEkqY8QE439QBFtA2LgYXBuL5DS0j1THuKS32NCyRFQL\nrrGOaDv8AuAwqSXU08JcyPlLm42iR7TxJt0i/q+jcsFdUePi5+Rs4yVn4hDWjlBA\nMIz0z3XDqz43YHfstcG1edOT/RUqTQvhisR/JGoF58vcEopxdGW5YD/19sD+UqYN\nh02dX2oR6YkhuRykmn48BP1eXEWeYTJFaqHhE4T8ebDOsQe9/pCc21/wR1XBaIn6\nki3Pm/2/0QIDAQABo4IBPjCCATowEQYJYIZIAYb4QgEBBAQDAgWgMAsGA1UdDwQE\nAwIEsDCBsAYDVR0jBIGoMIGlgBQBfwyR3Latct6MUpQ+oVTypdALJ6GBgaR/MH0x\nCzAJBgNVBAYTAlVTMRcwFQYDVQQIEw5Ob3J0aCBDYXJvbGluYTEQMA4GA1UEBxMH\nUmFsZWlnaDEQMA4GA1UEChMHU29tZU9yZzEUMBIGA1UECxMLU29tZU9yZ1VuaXQx\nGzAZBgNVBAMTEnNhbXNlcnYucmVkaGF0LmNvbYIJAIQgvj/ra4JfMB0GA1UdDgQW\nBBQh3eOis0atP4bnpEcDG7zrTb7q+jATBgNVHSUEDDAKBggrBgEFBQcDAjAxBgNV\nHREEKjAopCYwJDEiMCAGA1UEAwwZZGhjcC02NS02OS5uYXkucmVkaGF0LmNvbTAN\nBgkqhkiG9w0BAQUFAAOCAQEAjIWudjq3ThsQIr4hqBv2/f9zhpAgkYuDvlytJyq/\ndqgmKoWS1aq8Gy59twnPkJBGendb+i/a1U5rLcMjOwYM5RvDwX2fKmrpvYnVBFDe\nOxPeDpa7ybjuYocvyuoeddEQ65hNSEpfXo1DTskmzbhQwiGT/aUmxJsIQR91Bpza\nCSwZyayV4dApUi/JhW92K0P/9zjwN2CyZLMuIqfLGTVxjulzYcTtkeEVj/D1uS4k\nDaRy5R6uNi35F3kU9c22ZGXPzRyCMYV3y5CBFKgcbGLbwPQRkhB3lbTC72cT/8vY\n4DdtqeQqhvHnJ8nmbsCq3X7hPQECM3t5FPyGECwZckSBmQ==\n-----END CERTIFICATE-----\n","id":"8ac28dc740b8b3d40140cd88b45a0c29","serial":{"created":"2013-08-30T04:43:42.742+0000","updated":"2013-08-30T04:43:42.742+0000","id":5791645836176083985,"revoked":false,"collected":false,"expiration":"2029-08-30T04:43:42.741+0000","serial":5791645836176083985}},"owner":{"id":"8ac28dc740b8a0350140b8a160e00001","key":"ACME_Corporation","displayName":"ACME_Corporation","href":"/owners/ACME_Corporation"},"autoheal":true,"release":null,"releaseVer":{"releaseVer":null},"checkin_time":"2013-08-30T00:45:36-04:00","installedProducts":[{"productId":"69","productName":"Red Hat Enterprise Linux Server","version":"5.10","arch":"i386","status":"green","startDate":"2013-06-04T04:00:00.000+0000","endDate":"2014-06-04T03:59:59.000+0000"}],"capabilities":[],"serviceLevel":"","environment":{"id":1,"name":"Library","description":null,"library":true,"organization_id":1,"created_at":"2013-08-26T03:18:39Z","updated_at":"2013-08-26T03:18:39Z","label":"Library","prior":null,"prior_id":null,"organization":"ACME_Corporation"},"activation_key":[],"content_view":{"id":1,"name":"Default Organization View","label":"Default_Organization_View","description":null,"content_view_definition_id":null,"organization_id":1,"default":true,"created_at":"2013-08-26T03:18:39Z","updated_at":"2013-08-26T03:18:39Z","organization":"ACME_Corporation","definition":null,"environments":["Library"],"versions":[1],"versions_details":[{"version":1,"published":"2013-08-26 03:18:39","environments":["Library"]}]},"ipv4_address":"10.66.65.69","guests":[]}[root@dhcp-65-69 ~]# 



Actual results:
As above.

Expected results:
Product status should be "status": "valid" when check it with curl ' curl -k -u admin:admin --request GET https://samserv.redhat.com:443/subscription/consumers/3be3671d-46f0-4e63-83fb-cb8d3248f3b7/compliance | python -m simplejson/tool | grep status'

Additional info:
I check the product status on stage candlepin, and the product status can be checked successfully. 

the katello-debug output is attached as 'katello-debug'
Comment 2 Bryan Kearney 2013-08-29 13:09:25 EDT
please try https://samserv.redhat.com:8088/sam/api/consumers/{id}/compliance. The url you are using appears to be hosted.
Comment 3 qianzhan 2013-08-30 03:10:46 EDT
(In reply to Bryan Kearney from comment #2)
> please try
> https://samserv.redhat.com:8088/sam/api/consumers/{id}/compliance. The url
> you are using appears to be hosted.

Hi, Bryan

I tried https://samserv.redhat.com:8088/sam/api/consumers/{id}/compliance according to your advice, but failed:

[root@dhcp-65-69 ~]# curl -k -u admin:admin --request GET https://samserv.redhat.com:8088/sam/api/consumers
curl: (35) error:14094412:SSL routines:SSL3_READ_BYTES:sslv3 alert bad certificate

So, I tried to replace the port 8088 with 443:

[root@dhcp-65-69 ~]# curl -k -u admin:admin --request GET https://samserv.redhat.com:443/sam/api/consumers
{"displayMessage":"You have not set a default organization and environment on the user admin.","errors":["You have not set a default organization and environment on the user admin.",""]}
Comment 4 qianzhan 2015-08-28 05:34:38 EDT
Hey, is there any updates for this bug? I am still not sure how to get/delete info from SAM/Satellite server with APIs.
Comment 5 Bryan Kearney 2017-06-26 16:37:08 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.